//this one
// Import required Minecraft modules
import { world, system } from "@minecraft/server";

// List of blocks to randomly choose from
const blockChoices = [
    "bshy:bushy_oak_1",
    "bshy:bushy_oak_2",   // Bushy Leaves
    "bshy:bushy_oak_3",
    "bshy:bushy_oak_4",
    "bshy:bushy_oak_5",
    "bshy:bushy_oak_6"
];

// Run a check every tick (or at specified intervals)
system.runInterval(() => {
    world.getPlayers().forEach(player => {
        const dimension = world.getDimension(player.dimension.id);

        // Define a range to check around the player (e.g., a 5x5x5 cube)
        const startX = player.location.x - 4;
        const startY = player.location.y - 4;
        const startZ = player.location.z - 4;
        const endX = player.location.x + 4;
        const endY = player.location.y + 4;
        const endZ = player.location.z + 4;

        for (let x = startX; x <= endX; x++) {
            for (let y = startY; y <= endY; y++) {
                for (let z = startZ; z <= endZ; z++) {
                    const blockLocation = { x, y, z };
                    const block = dimension.getBlock(blockLocation);

                    // Check if the block is oak leaves
                    if (block && block.typeId === "bshy:bushy_oak_preset") {
                        // Pick a random block from the list
                        const randomBlock = blockChoices[Math.floor(Math.random() * blockChoices.length)];

                        // Replace the oak leaves with the randomly chosen block
                        block.setType(randomBlock);

                    }
                }
            }
        }
    });
}, 0.1); // Run this check every second (20 ticks)